<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2014 David Frerich (dfrerich@cdfre.de)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

namespace IMIA\BaseExt\Xclass\Base\Xclass\Core\Page;

/**
 * @package     imia_base
 * @subpackage  Xclass
 * @author      David Frerich <d.frerich@imia.de>
 */
class PageRenderer extends \IMIA\Base\Xclass\Core\Page\PageRenderer
{
	/**
	 * @param string $file File name
	 * @param string $type Content Type
	 * @param boolean $compress
	 * @param boolean $forceOnTop
	 * @param string $allWrap
	 * @param boolean $excludeFromConcatenation
	 */
	public function addJsFile($file, $type = 'text/javascript', $compress = TRUE, $forceOnTop = FALSE, $allWrap = '', $excludeFromConcatenation = FALSE)
    {
        if ($file == 'js/clearcachemenu.js') {
            $file = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('imia_base_ext') .
                'Resources/Public/Javascripts/clearcachemenu.js';
        }

        parent::addJsFile($file, $type, $compress, $forceOnTop, $allWrap, $excludeFromConcatenation);
    }
}